%div.table-responsive.compare-table
  %table.comparison-table.comparing-gitlab.products-page-comparison
    %colgroup
      %col{:width => "40%"}
      %col{:width => "15%"}
      %col{:width => "15%"}
      %col{:width => "15%"}
      %col{:width => "15%"}
    %thead
      %tr
        %th.text-left.table-title
          FEATURES
        %th.text-center
          - if defined?(name_one) == nil
            = product_one.short_name
          - else
            = name_one
        -#%th.text-center
          - if defined?(name_two) == nil
            = product_two.short_name
          - else
            = name_two
        %th.text-center
          - if defined?(name_three) == nil
            = product_three.short_name
          - else
            = name_three
        %th.text-center
          - if defined?(name_four) == nil
            = product_four.short_name
          - else
            = name_four
    %tbody.header.first
      - data.features.features.each do |feature|
        // CE
        - if ((feature.public_send(key_one) == true && feature.link != nil && feature.feature_page == true && feature.public_send(key_two) != nil && feature.public_send(key_three) != nil) && !(feature.gitlab_com == false && gitlab_com_features == true))
          = partial "includes/features/matrix-row-test", locals: { key_one: key_one, key_two: key_two, key_three: key_three, key_four: key_four, feature: feature }
      - data.features.features.each do |feature|
        // EE Starter
        - if (feature.public_send(key_one) == false && feature.public_send(key_two) == true && feature.public_send(key_three) != nil && !(feature.gitlab_com == false && gitlab_com_features == true))
          = partial "includes/features/matrix-row-test", locals: { key_one: key_one, key_two: key_two, key_three: key_three, key_four: key_four, feature: feature }
      - data.features.features.each do |feature|
        // EE Premium
        - if (feature.public_send(key_two) == false && feature.public_send(key_three) == true && !(feature.gitlab_com == false && gitlab_com_features == true))
          = partial "includes/features/matrix-row-test", locals: { key_one: key_one, key_two: key_two, key_three: key_three, key_four: key_four, feature: feature }
      - data.features.features.each do |feature|
        // EE Ultimate
        -# - key_four_value = feature.public_send(key_four)
        -# - if (key_four_value.is_a?(Hash) == true && key_four_value.valid == true)
        - if (feature.title == "Static Application Security Testing")
          = partial "includes/features/matrix-row-test", locals: { key_one: key_one, key_two: key_two, key_three: key_three, key_four: key_four, feature: feature }
      - data.features.features.each do |feature|
        - if (feature.public_send(key_three) == false && feature.public_send(key_four) == true && !(feature.gitlab_com == false && gitlab_com_features == true))
          = partial "includes/features/matrix-row-test", locals: { key_one: key_one, key_two: key_two, key_three: key_three, key_four: key_four, feature: feature }
